Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class RSS092Parser

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedParser
          com.sun.syndication.io.impl.RSS090Parser
              com.sun.syndication.io.impl.RSS091UserlandParser
                  com.sun.syndication.io.impl.RSS092Parser

All Implemented Interfaces:
  WireFeedParser

Direct Known Subclasses:
  RSS093Parser

    public class RSS092Parser

extends RSS091UserlandParser

Constructor Summary
`` | `RSS092Parser()`
`protected` | `RSS092Parser(String type)`

Method Summary
`protected String` | `getRSSVersion()`
`protected List` | `parseCategories(List eCats)`
`protected WireFeed` | `parseChannel(org.jdom.Element rssRoot)` Parses the root element of an RSS document into a Channel bean.
`protected Item` | `parseItem(org.jdom.Element rssRoot, org.jdom.Element eItem)` Parses an item element of an RSS document looking for item information.
`protected Description` | `parseItemDescription(org.jdom.Element rssRoot, org.jdom.Element eDesc)`

Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandParser
`getImage, getItems, getRSSNamespace, getTextInput, getTextInputLabel, isHourFormat24, isMyType, parseImage`

Methods inherited from class com.sun.syndication.io.impl.RSS090Parser
`getContentNamespace, getRDFNamespace, parse, parseItems, parseTextInput, validateFeed`

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser
`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSS092Parser

    public RSS092Parser()

### RSS092Parser

    protected RSS092Parser(String type)

Method Detail

### getRSSVersion

    protected String getRSSVersion()

  Overrides:
    `getRSSVersion` in class `RSS091UserlandParser`

### parseChannel

    protected WireFeed parseChannel(org.jdom.Element rssRoot)

  Description copied from class: `RSS091UserlandParser`
  Parses the root element of an RSS document into a Channel bean.

  It first invokes super.parseChannel and then parses and injects the following properties if present: language, pubDate, rating and copyright.

  Overrides:
    `parseChannel` in class `RSS091UserlandParser`
  Parameters:
    `rssRoot` - the root element of the RSS document to parse.
  Returns:
    the parsed Channel bean.

### parseItem

    protected Item parseItem(org.jdom.Element rssRoot,
                             org.jdom.Element eItem)

  Description copied from class: `RSS091UserlandParser`
  Parses an item element of an RSS document looking for item information.

  It first invokes super.parseItem and then parses and injects the description property if present.

  Overrides:
    `parseItem` in class `RSS091UserlandParser`
  Parameters:
    `rssRoot` - the root element of the RSS document in case it's needed for context.
    `eItem` - the item element to parse.
  Returns:
    the parsed RSSItem bean.

### parseCategories

    protected List parseCategories(List eCats)

### parseItemDescription

    protected Description parseItemDescription(org.jdom.Element rssRoot,
                                               org.jdom.Element eDesc)

  Overrides:
    `parseItemDescription` in class `RSS091UserlandParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.